import 'package:appmate_flutter/helpers/GenericError.dart';
import 'package:appmate_flutter/models/PurchaseInfo.dart';

/// An object which wraps PurchaseInfo and error objects
class MakePurchaseResponse {
  final PurchaseInfo? purchaseInfo;
  final GenericError? error;

  MakePurchaseResponse(this.purchaseInfo, this.error);

  MakePurchaseResponse.fromJson(Map<String, dynamic> json)
      : purchaseInfo = json['purchaseInfo'] != null
            ? PurchaseInfo.fromJson(json['purchaseInfo'])
            : null,
        this.error = null;
}
