import 'package:appmate_flutter/models/PriceInfo.dart';

class IntroductoryOfferPrice {
  bool? active;
  bool? huaweiSync;
  bool? googleSync;
  bool? appleSync;
  int? duration;
  String? huaweiDuration;
  String? googleDuration;
  String? appleDuration;
  String? startDate;
  String? endDate;
  String? offerType;
  PriceInfo? disDefaultPrice;
  PriceInfo? disPrices;

  IntroductoryOfferPrice.fromJson(Map<String, dynamic> json)
      : active = json['active'],
        huaweiSync = json['huaweiSync'],
        googleSync = json['googleSync'],
        appleSync = json['appleSync'],
        duration = json['duration'],
        huaweiDuration = json['huaweiDuration'],
        googleDuration = json['googleDuration'],
        appleDuration = json['appleDuration'],
        startDate = json['startDate'],
        endDate = json['endDate'],
        offerType = json['offerType'],
        disDefaultPrice = json['disDefaultPrice'] != null ? PriceInfo.fromJson(json['disDefaultPrice']) : null,
        disPrices = json['disPrices']  != null ? PriceInfo.fromJson(json['disPrices']) : null;

  Map<String, dynamic> toJson() => {
        'active': active,
        'huaweiSync': huaweiSync,
        'googleSync': googleSync,
        'appleSync': appleSync,
        'duration': duration,
        'huaweiDuration': huaweiDuration,
        'googleDuration': googleDuration,
        'appleDuration': appleDuration,
        'startDate': startDate,
        'endDate': endDate,
        'offerType': offerType,
        'disDefaultPrice': disDefaultPrice,
        'disPrices': disPrices
      };
}
