class Metadata {
  final String? id;
  final String? value;
  final String? type;
  final double? numericValue;

  Metadata(this.id, this.value, this.type, this.numericValue);

  Metadata.fromJson(Map<String, dynamic> json)
      : id = json['id'],
        value = json['value'],
        type = json['type'],
        numericValue = json['numericValue'];

  Map<String, dynamic> toJson() =>
      {'id': id, 'value': value, 'type': type, 'numericValue': numericValue};
}
