/// Price information for Android platforms
class PriceInfo {
  final String? country;
  final String? currency;
  final String? price;
  final String? tier;
  final String? applePrice;
  final String? appleCurrency;

  PriceInfo(this.country, this.currency, this.price, this.tier, this.applePrice,
      this.appleCurrency);

  PriceInfo.fromJson(Map<String, dynamic> json)
      : country = json['country'],
        currency = json['currency'],
        price = json['price'],
        tier = json['tier'],
        applePrice = json['applePrice'],
        appleCurrency = json['appleCurrency'];

  Map<String, dynamic> toJson() => {
        'country': country,
        'currency': currency,
        'price': price,
        'tier': tier,
        'applePrice': applePrice,
        'appleCurrency': appleCurrency
      };
}
