/// Localization information of the product
class ProductLocale {
  final String? language;
  final String? productName;
  final String? productDesc;

  ProductLocale(this.language, this.productName, this.productDesc);

  ProductLocale.fromJson(Map<String, dynamic> json)
      : language = json['language'],
        productName = json['productName'],
        productDesc = json['productDesc'];

  Map<String, dynamic> toJson() => {
        'language': language,
        'productName': productName,
        'productDesc': productDesc
      };
}
