import 'package:appmate_flutter/models/FreeTrial.dart';
import 'package:appmate_flutter/models/GracePeriod.dart';
import 'package:appmate_flutter/models/IntroductoryOfferPrice.dart';

class ProductOffer {
  IntroductoryOfferPrice? introductoryOffer;
  FreeTrial? freeTrial;
  GracePeriod? gracePeriod;

  ProductOffer.fromJson(Map<String, dynamic> json)
      : introductoryOffer = json['introductoryOffer'] != null
            ? IntroductoryOfferPrice.fromJson(json['introductoryOffer'])
            : null,
        freeTrial = json['freeTrial'] != null
            ? FreeTrial.fromJson(json['freeTrial'])
            : null,
        gracePeriod = json['gracePeriod'] != null
            ? GracePeriod.fromJson(json['gracePeriod'])
            : null;

  Map<String, dynamic> toJson() => {
        'introductoryOffer': introductoryOffer,
        'freeTrial': freeTrial,
        'gracePeriod': gracePeriod
      };
}
