/// SubscriptionDuration information for Android platforms
class SubscriptionDuration {
  final int? duration;
  final String? huaweiDuration;
  final String? googleDuration;

  SubscriptionDuration(this.duration, this.huaweiDuration, this.googleDuration);

  SubscriptionDuration.fromJson(Map<String, dynamic> json)
      : duration = json['duration'],
        huaweiDuration = json['huaweiDuration'],
        googleDuration = json['googleDuration'];

  Map<String, dynamic> toJson() => {
        'duration': duration,
        'huaweiDuration': huaweiDuration,
        'googleDuration': googleDuration
      };
}
