import 'package:appmate_flutter/helpers/GenericError.dart';
import 'package:appmate_flutter/models/UserRelation.dart';

/// An object which wraps user relation response information
class CreateUserRelationResponse {
  final UserRelation? data;
  final GenericError? error;

  CreateUserRelationResponse(this.data, this.error);

  CreateUserRelationResponse.fromJson(Map<String, dynamic> json)
      : data =
            json['data'] != null ? UserRelation.fromJson(json['data']) : null,
        error = null;
}
