/// Price information for iOS platform
class PriceTier {
  final String? tier;
  final String? currency;
  final String? price;
  final String? startDate;
  final String? endDate;

  PriceTier(this.tier, this.currency, this.price, this.startDate, this.endDate);

  PriceTier.fromJson(Map<String, dynamic> json)
      : tier = json['tier'],
        currency = json['currency'],
        price = json['price'],
        startDate = json['startDate'],
        endDate = json['endDate'];

  Map<String, dynamic> toJson() => {
        'tier': tier,
        'currency': currency,
        'price': price,
        'startDate': startDate,
        'endDate': endDate
      };
}
