/// An object which keeps information about a relation such as master and sub-user info
class UserRelation {
  final String? masterUser;
  final String? slaveUser;

  UserRelation(this.masterUser, this.slaveUser);

  UserRelation.fromJson(Map<String, dynamic> json)
      : masterUser = json['masterUser'],
        slaveUser = json['slaveUser'];
}
